workaround for pkgbuild bug - parallel builds could use the same name for tmp dir in /var/tmp/
authorjenda
Wed, 27 Apr 2011 21:37:58 +0200
changeset 67 82092e851ffd
parent 66 ce6069daf8a7
child 68 6209b99c7ce7
workaround for pkgbuild bug - parallel builds could use the same name for tmp dir in /var/tmp/
build-g11n-spec.sh
--- a/build-g11n-spec.sh	Mon Apr 11 03:32:39 2011 -0700
+++ b/build-g11n-spec.sh	Wed Apr 27 21:37:58 2011 +0200
@@ -151,8 +151,8 @@
         echo "pkgtool $PKGUNINSTALLARGS $spec"
         $PKGTOOL $PKGUNINSTALLARGS $spec
     fi
-    echo "$PKGTOOL $PKGBUILDARGS --define \"ipsvendorver $IPS_VENDORVER\" $spec"
-    $PKGTOOL $PKGBUILDARGS --define "ipsvendorver $IPS_VENDORVER" $spec || exit 1
+    echo "$PKGTOOL $PKGBUILDARGS --define \"ipsvendorver $IPS_VENDORVER\" --define '_tmppath %{_topdir}/TMP' $spec"
+    $PKGTOOL $PKGBUILDARGS --define "ipsvendorver $IPS_VENDORVER" --define '_tmppath %{_topdir}/TMP' $spec || exit 1
 
     # tentative workaround: should eliminate the previous mv instead,
     # after verifying that directory name does not affect build result